Package com.logicaldoc.core.searchengine.saved

# Class SavedSearch

java.lang.Object
com.logicaldoc.core.PersistentObject
com.logicaldoc.core.searchengine.saved.SavedSearch

All Implemented Interfaces:
  `Serializable`, `Comparable<SavedSearch>`

@Entity public class SavedSearch extends PersistentObject implements Serializable, Comparable<SavedSearch>
A search saved in the database

Since:
  8.6.1
Author:
  Marco Meschieri - LogicalDOC
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class com.logicaldoc.core.PersistentObject

`DELETED_CODE_DEFAULT, DELETED_CODE_STRONG, id`

## Constructor Summary

Constructors
Constructor
Description
`SavedSearch()`
`SavedSearch(SavedSearch source)`

## Method Summary

Modifier and Type
Method
Description
`int`
`compareTo(SavedSearch other)`
`boolean`
`equals(Object obj)`
`Date`
`getDate()`
`String`
`getDescription()`
`String`
`getName()`
`String`
`getOptions()`
`int`
`getType()`
`long`
`getUserId()`
`int`
`hashCode()`
`SearchOptions`
`readOptions()`
`void`
`saveOptions(SearchOptions opt)`
`void`
`setDate(Date date)`
`void`
`setDescription(String description)`
`void`
`setName(String name)`
`void`
`setOptions(String options)`
`void`
`setType(int type)`
`void`
`setUserId(long userId)`

### Methods inherited from class com.logicaldoc.core.PersistentObject

`getCreation, getDeleted, getId, getLastModified, getRecordVersion, getTenantId, setCreation, setDeleted, setId, setLastModified, setRecordVersion, setTenantId, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SavedSearch

public SavedSearch()

### SavedSearch

public SavedSearch(SavedSearch source)

## Method Details

### saveOptions

public void saveOptions(SearchOptions opt) throws PersistenceException

Throws:
  `PersistenceException`

### readOptions

public SearchOptions readOptions()

### compareTo

public int compareTo(SavedSearch other)

Specified by:
  `compareTo` in interface `Comparable<SavedSearch>`

### getUserId

public long getUserId()

### setUserId

public void setUserId(long userId)

### getName

public String getName()

### setName

public void setName(String name)

### getDescription

public String getDescription()

### setDescription

public void setDescription(String description)

### getDate

public Date getDate()

### setDate

public void setDate(Date date)

### getOptions

public String getOptions()

### setOptions

public void setOptions(String options)

### getType

public int getType()

### setType

public void setType(int type)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `PersistentObject`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `PersistentObject`